%define majver %(echo %version | cut -d. -f 1-2)
Name:          libvte
Version:       0.78.4
Release:       1mamba
Summary:       An experimental terminal emulator
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org
Source:        https://gitlab.gnome.org/GNOME/vte.git/%{version}/vte-%{version}.tar.bz2
#Source:        https://download.gnome.org/sources/vte/%{majver}/vte-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libfribidi-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libgraphene-devel
BuildRequires: libgtk-devel
BuildRequires: libgtk3-devel
BuildRequires: libicu-devel
BuildRequires: liblz4-devel
BuildRequires: libpango-devel
BuildRequires: libpcre2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
BuildRequires: intltool
BuildRequires: perl
BuildRequires: perl-XML-Parser
BuildRequires: gettext-devel
BuildRequires: pkgconfig
#BuildRequires: pygobject-devel
BuildRequires: gtk-doc
#Requires:      pygtk

%description
VTE is an experimental terminal emulator widget for use with GTK+.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The VTE package contains a termcap file implementation for terminal emulators.
This package contains static libraries and header files need for development.

%package -n python-vte
Group:         System/Libraries/Python
Summary:       Python bindings for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-vte
The VTE package contains a termcap file implementation for terminal emulators.
This package contains the Python bindings.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{name} API documentation.


%prep
%setup -q -n vte-%{version}

%build
%meson

#   -Ddocs=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%meson_install

install -d -m 0755 %{buildroot}%{_datadir}/vte/termcap
ln -s %{_datadir}/vte/termcap-2.90/xterm %{buildroot}%{_datadir}/vte/termcap/xterm


%{find_lang} vte-2.91

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}


%files -f vte-2.91.lang
%defattr(-,root,root)
%{_sysconfdir}/profile.d/vte.csh
%{_sysconfdir}/profile.d/vte.sh
%{_bindir}/vte-*
%{_libdir}/libvte-*.so.*
%{_libdir}/girepository-1.0/Vte-*.typelib
%{_libexecdir}/vte-urlencode-cwd
%{_userunitdir}/vte-spawn-.scope.d/defaults.conf
%{_datadir}/vte/termcap/xterm
%{_datadir}/glade/catalogs/vte-*.xml
%{_datadir}/glade/pixmaps/hicolor/*/actions/widget-vte-terminal.png
%doc AUTHORS COPYING.LGPL3

#%files -n python-vte
#%defattr(-,root,root)
#%python_sitearch/gtk-2.0/*
#%{_datadir}/pygtk/2.0/defs/vte.defs

%files devel
%defattr(-,root,root)
%{_includedir}/vte-*/
%{_libdir}/libvte-*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/vte-*.vapi
%{_datadir}/vala/vapi/vte-*.deps
%{_datadir}/gir-1.0/Vte-*.gir
#%doc ChangeLog HACKING NEWS README

#%files apidocs
#%defattr(-,root,root)
#%{_datadir}/gtk-doc/html/vte-*/
#%doc doc/{*.txt,openi18n/*.txt}

%changelog
* Sun Mar 02 2025 Automatic Build System <autodist@openmamba.org> 0.78.4-1mamba
- automatic version update by autodist

* Sat Jan 25 2025 Automatic Build System <autodist@openmamba.org> 0.78.3-1mamba
- automatic version update by autodist

* Mon Nov 25 2024 Automatic Build System <autodist@openmamba.org> 0.78.2-1mamba
- automatic version update by autodist

* Mon Oct 21 2024 Automatic Build System <autodist@openmamba.org> 0.78.1-1mamba
- automatic version update by autodist

* Mon Sep 16 2024 Automatic Build System <autodist@openmamba.org> 0.78.0-1mamba
- automatic version update by autodist

* Sat Aug 10 2024 Automatic Build System <autodist@openmamba.org> 0.76.4-1mamba
- automatic version update by autodist

* Mon Jun 03 2024 Automatic Build System <autodist@openmamba.org> 0.76.3-1mamba
- automatic version update by autodist

* Sun May 26 2024 Automatic Build System <autodist@openmamba.org> 0.76.2-1mamba
- automatic version update by autodist

* Tue Apr 23 2024 Automatic Build System <autodist@openmamba.org> 0.76.1-1mamba
- automatic version update by autodist

* Mon Mar 18 2024 Automatic Build System <autodist@openmamba.org> 0.76.0-1mamba
- automatic version update by autodist

* Sat Dec 16 2023 Automatic Build System <autodist@mambasoft.it> 0.74.2-1mamba
- automatic version update by autodist

* Fri Oct 20 2023 Automatic Build System <autodist@mambasoft.it> 0.74.1-1mamba
- automatic version update by autodist

* Mon Sep 18 2023 Automatic Build System <autodist@mambasoft.it> 0.74.0-1mamba
- automatic version update by autodist

* Fri Jun 02 2023 Automatic Build System <autodist@mambasoft.it> 0.72.2-1mamba
- automatic version update by autodist

* Sun Apr 16 2023 Automatic Build System <autodist@mambasoft.it> 0.72.1-1mamba
- automatic version update by autodist

* Sun Mar 19 2023 Automatic Build System <autodist@mambasoft.it> 0.72.0-1mamba
- automatic version update by autodist

* Sun Feb 12 2023 Automatic Build System <autodist@mambasoft.it> 0.70.3-1mamba
- automatic version update by autodist

* Sat Dec 03 2022 Automatic Build System <autodist@mambasoft.it> 0.70.2-1mamba
- automatic version update by autodist

* Sun Oct 23 2022 Automatic Build System <autodist@mambasoft.it> 0.70.1-1mamba
- automatic version update by autodist

* Mon Sep 19 2022 Automatic Build System <autodist@mambasoft.it> 0.70.0-1mamba
- automatic version update by autodist

* Mon Mar 28 2022 Automatic Build System <autodist@mambasoft.it> 0.68.0-1mamba
- automatic version update by autodist

* Sun Dec 05 2021 Automatic Build System <autodist@mambasoft.it> 0.66.2-1mamba
- automatic version update by autodist

* Fri Nov 05 2021 Automatic Build System <autodist@mambasoft.it> 0.66.1-1mamba
- automatic version update by autodist

* Sat Oct 02 2021 Automatic Build System <autodist@mambasoft.it> 0.66.0-1mamba
- automatic version update by autodist

* Thu Jun 17 2021 Automatic Build System <autodist@mambasoft.it> 0.64.2-1mamba
- automatic version update by autodist

* Sat May 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.64.1-2mamba
- remove requirement for pygtk

* Sat May 01 2021 Automatic Build System <autodist@mambasoft.it> 0.64.1-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.64.0-1mamba
- update to 0.64.0

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 0.62.3-1mamba
- automatic version update by autodist

* Mon Jul 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.60.3-1mamba
- update to 0.60.3

* Fri Apr 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.60.1-1mamba
- update to 0.60.1

* Sun Mar 22 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.60.0-1mamba
- update to 0.60.0

* Thu Oct 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.58.2-1mamba
- update to 0.58.2

* Sat Jun 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.44.2-1mamba
- update to 0.44.2

* Sun Dec 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.42.1-1mamba
- update to 0.42.1

* Sat Jan 03 2015 Automatic Build System <autodist@mambasoft.it> 0.38.3-1mamba
- automatic update by autodist

* Thu Dec 04 2014 Automatic Build System <autodist@mambasoft.it> 0.38.2-1mamba
- automatic update by autodist

* Wed Nov 05 2014 Automatic Build System <autodist@mambasoft.it> 0.38.1-1mamba
- automatic update by autodist

* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 0.38.0-1mamba
- automatic version update by autodist

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 0.36.3-1mamba
- automatic version update by autodist

* Tue May 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.36.2-2mamba
- rebuilt with introspection

* Tue May 13 2014 Automatic Build System <autodist@mambasoft.it> 0.36.2-1mamba
- automatic version update by autodist

* Sun Apr 27 2014 Automatic Build System <autodist@mambasoft.it> 0.36.1-1mamba
- automatic version update by autodist

* Mon Mar 24 2014 Automatic Build System <autodist@mambasoft.it> 0.36.0-1mamba
- automatic version update by autodist

* Tue Mar 18 2014 Automatic Build System <autodist@mambasoft.it> 0.35.90-1mamba
- automatic version update by autodist

* Wed Feb 19 2014 Automatic Build System <autodist@mambasoft.it> 0.35.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 0.35.1-1mamba
- automatic version update by autodist

* Tue Nov 19 2013 Automatic Build System <autodist@mambasoft.it> 0.35.0-1mamba
- automatic version update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 0.34.9-1mamba
- automatic version update by autodist

* Wed Sep 18 2013 Automatic Build System <autodist@mambasoft.it> 0.34.8-1mamba
- automatic update by autodist

* Sat Jul 20 2013 Automatic Build System <autodist@mambasoft.it> 0.34.7-1mamba
- automatic update by autodist

* Mon Jun 10 2013 Automatic Build System <autodist@mambasoft.it> 0.34.6-1mamba
- automatic version update by autodist

* Mon May 13 2013 Automatic Build System <autodist@mambasoft.it> 0.34.5-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 0.34.4-1mamba
- automatic version update by autodist

* Tue Mar 26 2013 Automatic Build System <autodist@mambasoft.it> 0.34.3-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Automatic Build System <autodist@mambasoft.it> 0.34.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 0.34.1-1mamba
- automatic version update by autodist

* Sat Sep 29 2012 Automatic Build System <autodist@mambasoft.it> 0.34.0-1mamba
- automatic version update by autodist

* Wed May 30 2012 Automatic Build System <autodist@mambasoft.it> 0.32.2-1mamba
- automatic version update by autodist

* Mon Apr 16 2012 Automatic Build System <autodist@mambasoft.it> 0.32.1-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 0.32.0-1mamba
- update to 0.32.0

* Mon Nov 21 2011 Automatic Build System <autodist@mambasoft.it> 0.31.0-1mamba
- automatic version update by autodist

* Mon Oct 17 2011 Automatic Build System <autodist@mambasoft.it> 0.30.1-1mamba
- automatic version update by autodist

* Tue Oct 04 2011 Automatic Build System <autodist@mambasoft.it> 0.30.0-1mamba
- automatic version update by autodist

* Mon Aug 29 2011 Automatic Build System <autodist@mambasoft.it> 0.28.2-1mamba
- automatic version update by autodist

* Wed Jun 15 2011 Automatic Build System <autodist@mambasoft.it> 0.28.1-1mamba
- automatic update by autodist

* Wed Jun 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28.0-3mamba
- provide symlink %{_datadir}/share/vte/termcap/xterm to fix a gnome-terminal warning on /etc/termcap (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=611826)

* Sat Apr 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28.0-2mamba
- rebuilt for gtk 3.0

* Wed Apr 06 2011 Automatic Build System <autodist@mambasoft.it> 0.28.0-1mamba
- automatic update by autodist

* Sat Nov 13 2010 Automatic Build System <autodist@mambasoft.it> 0.26.2-1mamba
- automatic update to 0.26.2 by autodist

* Mon Oct 25 2010 Automatic Build System <autodist@mambasoft.it> 0.26.1-1mamba
- automatic update to 0.26.1 by autodist

* Thu Jul 15 2010 Automatic Build System <autodist@mambasoft.it> 0.24.3-1mamba
- automatic update to 0.24.3 by autodist

* Tue Jun 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.24.2-2mamba
- added python subpackage

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 0.24.2-1mamba
- automatic update to 0.24.2 by autodist

* Sat May 29 2010 Automatic Build System <autodist@mambasoft.it> 0.24.1-1mamba
- automatic update to 0.24.1 by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 0.22.2-1mamba
- automatic update to 0.22.2 by autodist

* Mon Jul 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20.5-1mamba
- update to 0.20.5

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 0.16.14-2mamba
- automatic rebuild by autodist

* Wed Feb 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.14-1mamba
- automatic update by autodist

* Sun Nov 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.13-1mamba
- automatic update by autodist

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.9-1mamba
- update to 0.16.9
- specfile changed for automatic updates

* Wed Apr 11 2007 Davide Madrisan <davide.madrisan@gmail.com> 0.16.0-2mamba
- modified specfile to permit automatic updates
- new subpackage apidocs with API documentation
- own %{_includedir}/vte directory
- added the build requirement for pygobject-devel
- do not build static libraries
- removed desktop file and icon for jchempaint (?)

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 0.16.0-1mamba
- update to version 0.16.0

* Fri Oct 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.11.15-2qilnx
- moved python libraries to the main package
- specfile fixes
- gtk-doc files moved to devel package

* Mon Sep 19 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.11.15-1qilnx
- package created by autospec
